.form-input {
  margin-bottom: 16px;
  display: flex;
  flex-direction: column;
  width: 100%;

  &__label {
    margin-bottom: 8px;

    &._membership {
      display: inline-block;
      margin-bottom: 16px;
    }
  }

  &__field {
    border: 2px solid $lightGray;
    border-radius: 8px;
    height: 48px;
    padding-left: 17px;
    box-sizing: border-box;
    color: $darkBlue;
    font-weight: normal;
    font-size: 18px;
    line-height: 24px;

    &._error {
      border: 2px solid red;
    }
  }
}

.form-group {
  border: 2px solid $lightGray;
  border-radius: 8px;
  height: 48px;
  color: $darkBlue;
  font-weight: normal;
  flex-grow: 1;
  &._error {
    border: 2px solid red;
  }

  &__select {
    outline: none;
    height: 100%;
    border:none;
    border-right: 2px solid $lightGray;
    border-radius: 8px 0 0 8px;
    min-width: 100px;
    -webkit-appearance: none;
    background: $gray url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>") no-repeat;
    background-position-x: calc(100% - 4px);
    background-position-y: center;
    padding: 12px 16px;
    font-size: 18px;
    line-height: 24px;
    color: $darkBlue;
    font-weight: bold;
  }

  &__field {
    height: 100%;
    border: none;
    padding-left: 17px;
    box-sizing: border-box;
    border-radius: 0 8px 8px 0;
    width: 100%;
    font-size: 18px;
    line-height: 24px;

  }
}

.form-checkbox {
  position: relative;
  display: flex;
  align-items: center;
  margin-bottom: 12px;
  &._edit {
    margin-right: 30px;
  }

  &__field {
    height: 32px;
    width: 32px;
    position: relative;
  }

  &__input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
    &:checked ~ .form-checkbox__checkmark {
      background-color: $blue;
    }
  }

  &__checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 32px;
    width: 32px;
    border-radius: 8px;
    border: 2px solid $blue;
  }

  &__label {
    font-size: 18px;
    line-height: 24px;
    font-weight: normal;
    color: $darkBlue;
    margin-left: 16px;
  }
}
